Bug 824482

Summary: CVE-2012-2353 CVE-2012-3387 CVE-2012-3388 CVE-2012-3389 CVE-2012-3390 CVE-2012-3391 CVE-2012-3392 CVE-2012-3393 CVE-2012-3394 CVE-2012-3395 CVE-2012-3396 CVE-2012-3397 CVE-2012-3398 moodle various flaws [epel-all]
Product: [Fedora] Fedora EPEL Reporter: Jan Lieskovsky <jlieskov>
Component: moodleAssignee: Jon Ciesla <limburgher>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: el6CC: limburgher
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-01 18:27:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 824477, 841953    

Description Jan Lieskovsky 2012-05-23 10:58:18 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=824477

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2012-07-18 14:10:35 EDT
Current EPEL6 has this fixed, but some of these flaws may affect EPEL5 which is shipping 1.8.13 (which is no longer supported upstream).

Are there any intentions to resolve this, perhaps by moving to 1.9.x on EPEL5?
Comment 2 Vincent Danen 2012-07-20 12:21:51 EDT
Adding parent bug CVE-2012-3387
New bodhi update url:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=824477,841953
Comment 3 Jon Ciesla 2012-07-23 15:59:47 EDT
Yes, I'll get that together and announce on the EPEL list.
Comment 4 Fedora Update System 2012-07-23 22:04:25 EDT
moodle-2.1.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/moodle-2.1.7-1.el6
Comment 5 Fedora Update System 2012-07-23 22:04:40 EDT
moodle-2.0.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/moodle-2.0.10-1.fc16
Comment 6 Fedora Update System 2012-07-23 22:04:55 EDT
moodle-1.9.19-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/moodle-1.9.19-1.el5
Comment 7 Fedora Update System 2012-07-23 22:07:19 EDT
moodle-2.2.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/moodle-2.2.4-1.fc17
Comment 8 Fedora Update System 2012-07-24 19:26:44 EDT
Package moodle-2.0.10-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing moodle-2.0.10-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11028/moodle-2.0.10-1.fc16
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-08-01 18:27:38 EDT
moodle-2.0.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-08-01 18:28:35 EDT
moodle-2.2.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-08-10 14:35:56 EDT
moodle-2.1.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-09-17 13:46:55 EDT
moodle-1.9.19-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/moodle-1.9.19-2.el5
Comment 13 Fedora Update System 2012-09-24 11:46:46 EDT
moodle-1.9.19-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/moodle-1.9.19-3.el5